#!/usr/bin/python

import os
import re

import mod_globals
import mod_utils
from mod_utils import pyren_encode

def playScenario(command, services, elm):
  
  path = "../EcuRenault/Scenarios/"
  scenarioName = command.scenario.split('#')[1]

  if not os.path.isfile(path+scenarioName):
    return
    
  lines = [line.rstrip('\n') for line in open(path+scenarioName)]
  
  for l in lines:
    pa = re.compile(r'name=\"(\w+)\"\s+value=\"(\w+)\"')
    ma = pa.search( l )
    if ma:
      p_name = ma.group(1)
      p_value = ma.group(2)
      
      if p_value.isdigit() and p_value in mod_globals.language_dict.keys():
        p_value = mod_globals.language_dict[p_value]
        
      print "  %-20s : %s" % (pyren_encode(p_name), pyren_encode(p_value))

    else:
      print l
  
  ch = raw_input('Press ENTER to exit')

  
  return
